:root {
    --pink: #F48CB8;
    --lred: #F97A7A;
    --cream: #FBF6F1;
    --purple: #651FD5;
    --balck: #252A34;
    --red: #FF2E63;
    --blue: #08D9D6;
    --silver: #EAEAEA;
    --txtback: #efefef66
}

.banner {
    display: flex;
    display: -webkit-flex;
    height: 100vh;
    /*95vh*/
    justify-content: space-between;
    align-items: center;
    background-repeat: no-repeat;
    background-size: cover;
    /*120%*/
    background-position: 28%;
    /*80% center*/
    overflow: hidden;
    min-width: 120px;
    background-image: url('../img/tafsir-banner.png');
    position: relative
}

/* .banner::after {
    content: '';
    display: block;
    position: absolute;
    top: -80px;
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transform: scale(1.24);
    background-origin: content-box;
    z-index: -1;
    background: var(--purple)
} */

.banner-txt {
    min-width: 300px;
    padding: 12px;
    padding-right: 7.5%;
    text-align: left;
    margin-bottom: 60px
}

.banner-txt h1 {
    font-size: 4.2vw;
    font-weight: 400;
    color: #fff
}

.btnstart {
    border: 1px solid #fff;
    font-size: 22px;
    font-weight: 100;
    color: #fff;
    border-radius: 36px;
    transition: all 0.2s ease;
    padding: 4px 28px
}

.btnstart:hover {
    background: var(--purple)
}

.banner-txt h2 {
    color: var(--balck);
    font-size: 18px;
    font-weight: 700;
    line-height: 1.6em;
}

.banner-btn:hover {
    background: var(--purple);
}

.tests, .content {
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    padding: 60px 6%;
}

.tests {
    background: var(--cream)
}

.tltts {
    padding: 0 30px;
    width: 100%
}

.t-item {
    width: 49%;
    padding: 12px
}

.titem2 {
    width: 49%;
    margin-bottom: 42px;
    text-align: center
}

.test {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    align-items: center;
    padding: 8px;
    border-radius: 7px;
    background: #fff;
    transition: all ease-out 0.4s;
    position: relative
}

.test:hover {
    transform: scale(1.02) translateY(-5px);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.1)
}

.uitem1 {
    color: #fff;
    display: block;
    padding-top: 18px;
    background: #23AAB5
}

.uitem2 {
    color: #fff;
    display: block;
    padding-top: 18px;
    background: #256D85
}


.ticon {
    margin: 6px;
    display: flex;
    box-shadow: inset 0 0 25px 1px var(--pink);
    border-radius: 50%;
    padding: 14px;
    display: -webkit-flex
}

.ticon img {
    height: 50px;
    width: 50px;
    object-fit: scale-down
}

.titxt {
    margin: 0 4px;
    width: 85%
}

.titxt h2 {
    font-size: 1.2em
}

.pcon, .msg-body, .rcbcard, .consultc {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 75px
}

.msg-body {
    justify-content: center;
    align-items: center;
    min-height: 76vh;
    background: var(--cream)
}

.rcbcard {
    width: 80%;
    background: #fff;
    border-radius: 22px;
    min-height: 30vh;
    flex-direction: column;
    align-items: center;
    margin: 32px 8px;
    padding: 32px
}

.tpr {
    width: 95%;

}

.tpr, .tpr td, .tpr tr {
    border-collapse: collapse;
    border: 1px solid var(--silver);
}

.rside {
    width: 300px;
    min-height: 95%;
    padding: 20px 0;
    box-shadow: 0 0 13px #EAEAEA;
    text-align: center
}

.lside {
    width: calc(100% - 310px);
    padding: 60px 30px;
    position: relative;
    padding-top: 16px
}

.ploading {
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    display: -webkit-flex;
    justify-content: center;
    align-items: flex-start;
    padding: 5% 0;
    font-size: 52px;
    color: #fff;
    background: rgba(0, 0, 0, 0.5)
}

.pimg {
    display: inline-block;
    width: 110px;
    height: 110px;
    border-radius: 50%;
    object-fit: cover;
    background-color: var(--silver);
    border: 8px solid var(--blue);
}

.pinf {
    padding: 6px
}

.pinf:nth-child(even) {
    color: var(--purple);
}

.plink {
    text-align: start;
    margin-top: 30px
}

.pitem {
    display: block;
    width: 100%;
    padding: 8px;
    margin: 2px 0;
    cursor: pointer;
    background: #08D9D611
}

.pitem:hover, .actpitem {
    color: #fff;
    background-color: var(--blue)
}

.hr {
    margin-top: 40px;
    border-radius: 4px;
    border: 1px solid var(--red)
}

.shr {
    border-radius: 2px;
    margin: 0 16px;
    margin-bottom: 14px;
    border: 1px solid #fff
}

.widgets {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap
}

.ptlt {
    color: var(--purple)
}

.witem {
    width: 32.5%;
    padding: 8px;
    margin: 8px 0;
    border-radius: 7px;
    background-image: linear-gradient(90deg, var(--silver), #EAEAEA22);
    text-align: center
}

.dtests, .dconsult {
    display: flex;
    display: -webkit-flex;
    justify-content: flex-start;
    align-items: center;
    column-gap: 16px;
    row-gap: 16px;
    flex-wrap: wrap
}

.dtitem, .citem {
    width: calc((100% - 32px) / 3);
    padding-bottom: 14px;
    border-radius: 7px;
    transition: all ease 0.3s;
    background-image: linear-gradient(90deg, var(--lred), #FF2E6311);
    text-align: center
}

.citem {
    width: calc((100% - 32px) / 3);
    background-image: linear-gradient(90deg, var(--purple), #08D9D611);
}

.dtitem:hover, .citem:hover {
    box-shadow: -10px 5px 10px #EAEAEA99
}

.uinfo {
    display: flex;
    display: -webkit-flex;
    justify-content: space-around;
    flex-wrap: wrap;
    box-shadow: 0 0 3px #bbb;
    background: whitesmoke;
    border-radius: 7px;
    padding: 8px;
}

.uig h6 {
    margin-bottom: 0;
    font-size: 15px
}

.uig p {
    color: #777;
}

.tblresult {
    box-shadow: 0 0 3px #ddd;
    margin-top: 16px;
    border-radius: 7px;
    padding: 16px
}

.tbltest, .tbltest tr {
    width: 100%;
    border-collapse: collapse;
    border: 1px solid #eee;
    border-radius: 7px;
    text-align: center
}

th, td {
    padding: 12px
}

.tbltest tr:nth-child(even) {
    background: var(--cream);
}

.tbltest td:nth-child(3) {
    color: #555;
    direction: ltr
}

.tbltest td:nth-child(1) {
    color: #05a3a1;
}

.atres {
    margin: 16px 0;
    padding: 16px;
    border-radius: 7px;
    background: var(--cream)
}

.stres {
    background: var(--cream);
    border-radius: 7px;
    padding-bottom: 12px;
    margin-top: 12px;
    overflow: hidden
}

.sttlt {
    background: var(--lred);
    padding: 8px 12px;
    color: #fff
}

.strestxt {
    padding: 0 16px 16px 16px
}

.bar-con {
    margin-top: 32px;
    display: flex;
    display: -webkit-flex;
    min-height: 100px
}

.bar {
    width: 90%;
    height: 37px;
    background: #fff;
    border-radius: 5px;
    margin: auto;
    border: 1px solid var(--silver);
    position: relative
}

.bar-rang {
    width: 50%;
    margin: auto;
    height: 35px;
    background-image: linear-gradient(270deg, var(--purple), #08D9D611);
    position: relative;
}

.rlbl {
    position: absolute;
    border-left: 1px solid var(--silver);
    color: gray
}

.vlbl {
    position: absolute;
    height: 80px;
    border-left: 1px solid var(--cream);
    transition: all ease-in-out 0.5s;
    bottom: 0
}

.val {
    width: 45px;
    display: block;
    text-align: center;
    margin-left: -23px;
}

.flag {
    display: block;
    width: 0;
    height: 0;
    margin-left: -15px;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    position: absolute;
    left: -1px;
}

.low {
    left: 25%;
    top: 32px
}

.more {
    left: 75%
}

.test-con {
    display: flex;
    display: -webkit-flex;
    justify-content: space-between;
    flex-wrap: wrap;
    text-align: center;
    margin-top: 75px;
    padding: 30px 6%
}

.test-menu {
    width: 28%;
    border: 1px solid var(--silver);
    border-radius: 3px
}

.menu-item {
    padding: 8px;
    background-color: var(--cream);
    margin: 4px 0
}

.test-forms {
    display: flex;
    display: -webkit-flex;
    flex-direction: column;
    position: relative;
    width: 70%
}

.fix-tbl {
    border-collapse: collapse;
    margin: auto;
}

.fix-tbl td, .fix-tbl th {
    border: 1px solid #fff;
    background: var(--cream);
    padding: 8px 12px;
    min-width: 80px;
    text-align: center
}

.form-con {
    overflow: auto
}

.form-item {
    border: 1px solid var(--silver);
    border-radius: 3px
}

.tblform {
    border-collapse: collapse;
    width: 100%;
    margin: 12px 0
}

.tblform td:nth-child(1) {
    color: var(--purple)
}

.tblform td select {
    border: none;
    width: 100%;
    text-align: center;
    padding: 8px
}

.tltr {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap
}

.thr, .thv {
    display: inline-block;
    text-align: center;
}

.thv {
    width: 28%
}

.thr {
    width: 71%
}

.inval {
    /* width: 30%; */
    width: 100%;
    border: none;
    outline: none;
    padding: 8px;
    font-size: 15px;
    background: #651FD511;
    text-align: center;
    border-radius: 3px
}

.sinput {
    width: 67%
}

.refc {
    display: flex;
    display: -webkit-flex;
    flex-wrap: wrap;
    justify-content: space-between
}

.refv {
    display: flex;
    display: -webkit-flex;
    width: 67%
}

.refv input, .refv select {
    width: 49.5%;
    padding: 8px;
    border: none;
    text-align: center;
    border-radius: 3px
}

.refc select {
    background: #651FD511;
    text-align: start;
    width: 99%
}

.tafbtn {
    background: var(--purple);
    padding: 8px 12px;
    border-radius: 3px
}

.btn {
    background: var(--purple);
    padding: 10px 22px;
    margin: 12px;
    font-size: 15px;
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    transition: all ease 0.2s;
    color: #fff;
}

.btn:hover, .btnp {
    color: #7fffd4
}

.consultc {
    padding-bottom: 26px
}

.consultf, .infof {
    display: flex;
    display: -webkit-flex;
    width: 90%;
    max-width: 1000px;
    margin: 30px auto;
    padding: 22px;
    background: #08D9D611;
    flex-direction: column;
    align-items: center;
    border-radius: 13px
}

.fgp {
    text-align: center;
    width: 90%;
    max-width: 800px;
    background: #fff;
    padding: 12px;
    border-radius: 3px;
    color: var(--purple);
    border: 1px solid var(--blue)
}

.fgroup {
    width: 90%;
    max-width: 900px;
    text-align: center
}

.fgroup * {
    width: 100%;
    display: inline-block;
    margin: auto;
    text-align: start;
    max-width: 800px
}

.fgroup input, .fgroup textarea, .fgroup select {
    border: 1px solid var(--silver);
    border-radius: 3px;
    margin-bottom: 12px;
    margin-top: 4px;
    padding: 8px
}

.fgroup *:focus {
    outline: none;
    border: 1px solid var(--purple)
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0
}

.ctacons {
    background: var(--purple);
    text-align: center;
    padding: 32px 16px;
    border-radius: 17px;
    margin-top: 32px;
    background-image: linear-gradient(90deg, #a981eb 0%, var(--purple) 100%);
    color: #fff
}

.ctacons a {
    display: inline-block;
    background: #fff;
    padding: 8px 12px;
    border-radius: 9px;
    margin-top: 16px
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s
}

.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s
}

input:checked+.slider {
    background-color: #2196F3
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px)
}

.slider.round {
    border-radius: 34px
}

.slider.round:before {
    border-radius: 50%
}

.actm, .menu-item:hover {
    background-color: var(--lred);
    cursor: pointer;
    color: #fff
}

.special {
    padding: 22px;
    margin: 22px;
    border-radius: 7px;
    background: #fff;
    justify-content: space-between;
    flex-wrap: wrap;
    display: flex;
    display: -webkit-flex
}

.htlt, .htlt2 {
    width: 100%;
    padding: 0 12px;
    font-size: 26px;
    color: var(--balck)
}

.htlt2 {
    display: none
}

.sp-tst {
    width: 59%;
    display: flex;
    flex-wrap: wrap;
    display: -webkit-flex
}

.spti {
    text-align: center;
    margin: 9px;
    padding: 12px;
    border-radius: 7px;
    color: #fff;
    background: #651FD5cc;
    transition: all 0.4s ease;
    background-image: linear-gradient(90deg, #7A86B6 0%, #495C83 100%);
    width: 46%
}

.spti:nth-child(2) {
    background-image: linear-gradient(90deg, #A8A4CE 0%, #7A86B6 100%)
}

.spti:nth-child(3) {
    background-image: linear-gradient(90deg, #C8B6E2 0%, #A8A4CE 100%)
}

.spti:nth-child(4) {
    background-image: linear-gradient(90deg, #C8B6E2 0%, #C8B6E2 100%);
}

.spti h3 {
    transition: all 0.3s ease;
    color: var(--balck)
}

.spti:hover h3 {
    color: var(--cream)
}

.spti:hover {
    transform: translateY(-8px)
}

.sp-img {
    position: relative;
    width: 40%
}

.sp-img img {
    width: 100%
}

.imgsp {
    display: inline-block;
    width: 85px;
    height: 80px;
    padding: 6px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.3);
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
    animation: backanim infinite 3.5s linear;
    background: #fff
}

@keyframes backanim {
    0% {
        border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%
    }

    25% {
        border-radius: 40% 60% 60% 40% / 32% 40% 60% 68%
    }

    50% {
        border-radius: 45% 55% 45% 55% / 45% 33% 67% 55%
    }

    100% {
        animation-direction: alternate
    }
}


@media (max-width:1000px) {
    .witem, .dtitem, .citem {
        width: calc((100% - 16px) / 2)
    }

    .infof, .sp-tst, .sp-img {
        width: 100%
    }

    .banner-txt h1 {
        font-size: 47px
    }

    .special {
        margin: 8px;
        padding: 8px;
        flex-direction: column-reverse
    }

    .htlt2 {
        font-size: 20px;
        display: block
    }

    .htlt {
        display: none
    }
}


@media (max-width:800px) {

    .witem, .dtitem, .citem, .t-item {
        width: 100%
    }

    .test-menu, .test-forms {
        width: 100%;
        margin: 8px 0
    }

    .infof .fgroup {
        width: 100%
    }

    .banner-txt {
        text-align: start
    }

    .spti {
        margin: 7px;
        padding: 6px
    }

    .t-item {
        padding: 6px 8px
    }

    .tblform {
        font-size: 14px
    }

    .banner-txt h1 {
        font-size: 38px
    }
}

@media (max-width:700px) {
    .rcbcard {
        width: 95%
    }

    .rside, .lside {
        width: 100%
    }

    .lside {
        padding: 60px 12px
    }

    .witem {
        width: 49%
    }

    .tests, .content {
        padding: 30px 4px
    }

    .tblform td:nth-child(1) {
        /* width: 86px; */
        width: 100px;
        display: inline-block;
        word-break: break-word
    }

    th, td {
        padding: 6px
    }

    .tblform tr td:nth-child(3) {
        display: inline-block;
        /* width: 65px;  */
        width: 90px;
        word-break: break-all
    }

    .test-con {
        padding: 0px 8px
    }
    .nav{
        height: 60px
    }

    .thr, .thv, .inval, .refv {
        width: 100%
    }

    .inval {
        padding: 8px 0;
        font-size: 14px;
        margin: 8px 0
    }
}

@media (max-width:600px) {
    .spti {
        width: 100%
    }

    .banner {
        background-image: url('../img/mobile-banner.webp');
        align-items: flex-start;
        padding-top: 75px
    }
    .qsel{
        min-width: 150px
    }
    .btnstart {
        display: block;
        margin-top: 12px;
        text-align: center
    }

}

@media (max-width:500px) {
    .witem {
        width: 100%
    }
}